libsigc++ 2.3.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

hide_functor< I_location, T_functor > Struct Template Reference
hide(), hide_return()

Adaptor that adds a dummy parameter to the wrapped functor. More...

`#include <sigc++/adaptors/hide.h>`

## Detailed Description

### template<int I_location, class T_functor>
struct hide_functor< I_location, T_functor >

Adaptor that adds a dummy parameter to the wrapped functor.

Use the convenience function sigc::hide() to create an instance of sigc::hide_functor.

The following template arguments are used:

- I_location Zero-based position of the dummy parameter (`-1` for the last parameter).
- T_type Type of the dummy parameter.
- T_functor Type of the functor to wrap.